## freesynd 0.6maemo1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (FreeSynd)
set (FREESYND_VERSION "0.5")

if (WIN32 AND MSVC)
	# Search the bundled libs directory when using MSVC.
	set (CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH}
		${CMAKE_SOURCE_DIR}/../../libs/MSVC/lib
	)
	set (CMAKE_INCLUDE_PATH ${CMAKE_INCLUDE_PATH}
		${CMAKE_SOURCE_DIR}/../../libs/MSVC/include
	)
	# Add extra definitions just for MSVC.
	add_definitions (-D_CONSOLE -D_CRT_SECURE_NO_WARNINGS)
	# Override default flags for release builds.
	set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /O2 /Oi /Ot /GL")
	set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2 /Oi /Ot /GL")
	set (CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
else ()
	# Set extra warnings.
	set (EXTRA_C_FLAGS "-Wall -Wshadow -Wimplicit -Wno-multichar")
	set (EXTRA_CXX_FLAGS "${EXTRA_C_FLAGS} -Wreorder -Wnon-virtual-dtor")
	# Set debug flag.
	set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG")
	set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG")
endif ()

# Set extra compiler flags, possibly different per-platform.
set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_C_FLAGS}")
set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_CXX_FLAGS}")

# Set standard definitions for all platforms.
add_definitions (-DSYSTEM_SDL)
add_definitions (-DPREFIX=\"${CMAKE_INSTALL_PREFIX}\")

# Locate libs we depend on directly.
find_package (SDL)
if (NOT SDL_FOUND)
	message (FATAL_ERROR "Unable to locate SDL")
endif ()

#find_package (SDL_image)
#if (NOT SDLIMAGE_FOUND)
#	message (FATAL_ERROR "Unable to locate SDL_image")
#endif ()

#find_package (SDL_mixer)
#if (NOT SDLMIXER_FOUND)
#	message (FATAL_ERROR "Unable to locate SDL_mixer")
#endif ()

find_package (PNG)
if (NOT PNG_FOUND)
	message (FATAL_ERROR "Unable to locate PNG")
endif ()

if (NOT CMAKE_BUILD_TYPE OR CMAKE_BUILD_TYPE STREQUAL "debug")
	set (BUILD_DEV_TOOLS TRUE)
else ()
	set (BUILD_DEV_TOOLS FALSE)
	# We only define an install target if we're doing a release build.
	# Furthermore, on Mac, the data folder is a part of the app bundle.
	if (NOT APPLE)
		install (DIRECTORY data DESTINATION share/freesynd PATTERN .svn EXCLUDE)
	endif ()
endif ()

# Make sure we can include from the libs we found.
include_directories (libsrc/SDL_mixer-1.2.12)
include_directories (libsrc/SDL_image-1.2.12)
include_directories (${PNG_INCLUDE_DIR} ${SDL_INCLUDE_DIR} )#${SDLIMAGE_INCLUDE_DIR} ${SDLMIXER_INCLUDE_DIR})

# Build the sources in this subdirectory.
subdirs (src)

=== src/CMakeLists.txt ===
# Add this folder to the include directories.
include_directories (${CMAKE_CURRENT_SOURCE_DIR})

# Generate the ini header, add it's location to the include directories.
include (tools/embed.cmake)
embed_data (../freesynd.ini embedded_default_ini default_ini.h)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

set (SOURCES
	agent.cpp
	agentmanager.cpp
	app.cpp
	core/gamesession.cpp
	core/missionbriefing.cpp
	core/research.cpp
	core/researchmanager.cpp
	default_ini.h
	freesynd.cpp
	gfx/dirtylist.cpp
	gfx/fliplayer.cpp
	gfx/font.cpp
	gfx/fontmanager.cpp
	gfx/screen.cpp
	gfx/sprite.cpp
	gfx/spritemanager.cpp
	gfx/tile.cpp
	gfx/tilemanager.cpp
	map.cpp
	mapobject.cpp
	mapmanager.cpp
	menus/minimaprenderer.cpp
	menus/briefmenu.cpp
	menus/confmenu.cpp
	menus/debriefmenu.cpp
	menus/flimenu.cpp
	menus/gameplaymenu.cpp
	menus/loadingmenu.cpp
	menus/loadsavemenu.cpp
	menus/logoutmenu.cpp
	menus/mainmenu.cpp
	menus/mapmenu.cpp
	menus/menu.cpp
	menus/menumanager.cpp
	menus/researchmenu.cpp
	menus/selectmenu.cpp
	menus/widget.cpp
	mission.cpp
	missionmanager.cpp
	mod.cpp
	modmanager.cpp
	ped.cpp
	pedmanager.cpp
	pedpathfinding.cpp
	sound/audio.cpp
	sound/musicmanager.cpp
	sound/sdlmixermusic.cpp
	sound/sdlmixersound.cpp
	sound/soundmanager.cpp
	sound/xmidi.cpp
	system_sdl.cpp
	utils/configfile.cpp
	utils/ccrc32.cpp
	utils/dernc.cpp
	utils/file.cpp
	utils/log.cpp
	utils/portablefile.cpp
	utils/seqmodel.cpp
	vehicle.cpp
	vehiclemanager.cpp
	weapon.cpp
	weaponmanager.cpp
)

if (APPLE AND ${SDL_INCLUDE_DIR} MATCHES ".framework")
	# When using the official SDL 1.2 framework for Mac,
	# you must link in an implementation of SDLmain.
	set (SOURCES ${SOURCES} SDLMain.m)
endif()

set(HEADERS
	agent.h
	agentmanager.h
	app.h
	common.h
	config.h
	cp437.h
	keys.h
	map.h
	mapmanager.h
	mapobject.h
	mission.h
	missionmanager.h
	mod.h
	modmanager.h
	path.h
	pathsurfaces.h
	ped.h
	pedmanager.h
	resources.h
	system.h
	system_sdl.h
	vehicle.h
	vehiclemanager.h
	version.h
	weapon.h
	weaponholder.h
	weaponmanager.h
	core/gameevent.h
	core/gamesession.h
	core/missionbriefing.h
	core/research.h
	core/researchmanager.h
	gfx/dirtylist.h
	gfx/fliplayer.h
	gfx/font.h
	gfx/fontmanager.h
	gfx/screen.h
	gfx/sprite.h
	gfx/spritemanager.h
	gfx/tile.h
	gfx/tilemanager.h
	menus/minimaprenderer.h
	menus/briefmenu.h
	menus/confmenu.h
	menus/debriefmenu.h
	menus/flimenu.h
	menus/gameplaymenu.h
	menus/loadingmenu.h
	menus/loadsavemenu.h
	menus/logoutmenu.h
	menus/mainmenu.h
	menus/mapmenu.h
	menus/menu.h
	menus/menumanager.h
	menus/researchmenu.h
	menus/selectmenu.h
	menus/widget.h
	sound/audio.h
	sound/music.h
	sound/musicmanager.h
	sound/sdlmixermusic.h
	sound/sdlmixersound.h
	sound/sound.h
	sound/soundmanager.h
	sound/xmidi.h
	utils/configfile.h
	utils/ccrc32.h
	utils/dernc.h
	utils/file.h
	utils/log.h
	utils/portablefile.h
	utils/seqmodel.h
	utils/singleton.h
	utils/utf8.h
	utils/utf8/checked.h
	utils/utf8/core.h
	utils/utf8/unchecked.h)
#link_directories(/home/user/workspace/freesynd/freesynd-0.6maemo1/libsrc/libSDL)
add_executable (freesynd ${SOURCES} ${HEADERS})
#Aversisanda
#target_link_libraries (freesynd ${PNG_LIBRARIES} ${SDL_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLMIXER_LIBRARY})

target_link_libraries (freesynd ${PNG_LIBRARIES} ${SDL_LIBRARY} )
target_link_libraries (freesynd ${CMAKE_SOURCE_DIR}/libsrc/SDL_image-1.2.12/build/.libs/libSDL_image.a)
target_link_libraries (freesynd ${CMAKE_SOURCE_DIR}/libsrc/SDL_mixer-1.2.12/build/build/.libs/libSDL_mixer.a -lvorbisfile -lvorbis -logg  -lsmpeg)
#target_link_libraries (freesynd /home/user/workspace/freesynd/freesynd-0.6/maemo1/libsrc/SDL_image-1.2.12/libSDL_image.a -ljpeg -ltiff)
if (BUILD_DEV_TOOLS)
	add_executable (dump
		dump.cpp
		gfx/sprite.cpp
		gfx/spritemanager.cpp
		gfx/tile.cpp
		gfx/tilemanager.cpp
		map.cpp
		mapmanager.cpp
		utils/dernc.cpp
		utils/file.cpp
		utils/log.cpp
		utils/portablefile.cpp
	)
	target_link_libraries (dump ${PNG_LIBRARIES})
else ()
	# We only define an install target if we're doing a release build.
	if (APPLE)
		install (TARGETS freesynd DESTINATION /Applications)
	else ()
		install (TARGETS freesynd DESTINATION bin)
	endif ()
endif ()

if (APPLE)
	# Override certain properties to make the freesynd
	# executable into an application bundle for OS X.
	set_target_properties (freesynd PROPERTIES
		OUTPUT_NAME "FreeSynd"
		MACOSX_BUNDLE true
		MACOSX_BUNDLE_BUNDLE_NAME "FreeSynd"
		MACOSX_BUNDLE_ICON_FILE "sword.icns"
		MACOSX_BUNDLE_GUI_IDENTIFIER "com.freesynd.FreeSynd"
		MACOSX_BUNDLE_SHORT_VERSION_STRING "${FREESYND_VERSION}"
		MACOSX_BUNDLE_COPYRIGHT "© 2011 FreeSynd Team"
	)
	include (tools/osx.cmake)
	copy_resource_file (freesynd "Copying icon" ${CMAKE_SOURCE_DIR}/icon/sword.icns)
	copy_resource_folder (freesynd "Copying data" ${CMAKE_SOURCE_DIR}/data)
	include_libs (freesynd "Including non-standard OS X libraries")
endif()

=== debian/changelog ===
freesynd (0.6maemo1) unstable; urgency=low
  Initial Release
 
 -- Nerdknight <nerdknight@gmail.com>  Thu, 5 Apr 2012 12:19:30 -0300

=== debian/control ===
Source: freesynd
Section: user/games
Priority: extra
Maintainer: Nerdknight <nerdknight@gmail.com>
Build-Depends: debhelper (>= 5), cmake, libsdl1.2-dev, libpng12-dev, libvorbis-dev, libsmpeg-dev, libogg-dev
Standards-Version: 3.7.2
Homepage: http://freesynd.sourceforge.net/

Package: freesynd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeSynd is a cross-platform, GPLed reimplementation of engine for the classic Bullfrog game, Syndicate.
 .
 You need to copy the original Syndicate data in order to play it.
XB-Maemo-Upgrade-Description: Version 0.6maemo1 changes:
 Initial release.
XB-Maemo-Display-Name: FreeSynd
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=1153973
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9wEBQ8mDkRMyRgAABBgSURBVGjezZp5dNxXdcc/973fb1aNVkuWbcmW
 vMhLvGCHxIljQhInpobQJGCgB8oSWghLQ+gBwulpD4WwtKeFclpIEwqUtaxp
 SlgSggkcG/CSxE7sxLEtL5Kt1VpHGmlGmvn93u0fv1Gt+JiTzbR9f82ZOe+9
 e++7y/d+71gu4rrCkhpV1tQK1SWobxKCZiE2CSuqIZgn2M9WECQFPRzCRgs9
 +tLulIsl/E0e5uGA16bgtuWWbQp5hVN1Qk8J1o85xorQmxJ+8UTI9wtw8mLc
 ay+WAsccGoCpgTuBjA/+Yo+GmLBUIb3AUtdgaHHCylMOF8KvL8a9wkVeNcL6
 KeW2OLxhgeFnCwy/rhMGjjnWZ2ByVGkC/uaQo7DRwD73/0iBpQZOOKiArSss
 X6sVOtPCqVpDPi7kbq3k45cNMHGphf3hxbnTu1jCt5SFv8EiOWHfKsvTOcdW
 gU1DYWSqO4aZA7wjBbQa6HAXQYHZB220oAqPuhd+QaeDyw3sCNGNBpmw3CZC
 a8awsL9EZVoxHSFpgN+EL85AnReQUyxw/nnNgnQpLzrBtcI7qwy3JSFRbRgO
 IFFU+k6E7OmBnwDHXsy5bQbaZxl1oSBWgTi8Mg0fXikkbomTeyRg/H+EMZB9
 gaoU4E31wuZqYdmo0lojNKeElRPgDSk7gIEXav2swrDCvVXYtGPz+1JMfbfI
 pAAk4U/q4O4U1E5DOAavzwgPnmmmJGcu7E6v9uHBUvT5tV4UTHng4QBu8EnH
 HYu6lVc1Wk4HSt5XVjzl0G7ln1/jQQwwAn0OdofnjDX7ntlus9RgTjjcV6tp
 +1iWY9PQPQL/JrkUZPLQIlyfFD7lwcYpJczDPT3KZ68UTu/5PS9we5zYF6Yp
 nvd1aq7wu4WGgQZDW0boHglJBtB+MuSh07AD6H8u97jQ+kSGW0Ll7cMh7kCJ
 R/cGTAvAGz34QUCi2XBJm+EzzrF1TBn3Le/fF/DtcrrVVgPKOatY+OMa2Gah
 8RKP/nrDLk/o+m2Rv0zA63ygxULCQN7BsJI7ETIInFrn0V5jeOiSOB2bYhz9
 o+EoFGdeYZb1q5qF217ls7/b8dGUcIMnXPODIjvXWERmNrzdp+nbJe5ZLmyq
 EWqNQFEJO5Q7BpS7mwTpLgf2ZR48FkAV7FkgtFhoTBlotVFpjwvOCnImQAKF
 BR7kHGoFyQhMKeQUMgKhQo9y61MB31lvKe0MzyWPSojl4P1LhTtT0Eg54XQr
 3Q6+fZ3H39qsws0efD9gXOG7qzxK48qGWiFdZzFVsK1KGGxXnmwSdLuP2ROw
 doPH2k0+66oMLQs8kmlB8woeCIIUFMkIOsciDjAgSYGSggNNCmIEHXdIT8iN
 Ilx11FFw8MxMkZ2G1JvibAqUbQZsxhA2WLpGlNND8JOjjkMWoEoiVJiBWLtj
 TR2snGuZO+nAF8SHq5o9+j6W5sl9RfxTykeGHXeNO9YhJA1oAZhnkIJCUcET
 6AujF0AIYmCmAV8gJsikogVFnKDzDXZSae5XVmyz7DmhDLQYrp0PDxYcWyoN
 6dro7IknQu7KCB/NKkcUAguR8K0GziohMFZvuCWnzPcN1BmIQSIutPy2xENZ
 ZbJH2d1oCOYYtjQayBioEWTIcWhQ+cW08rMSfC+ARw+GHO8JyVjhPRnDjrMh
 D3SFmCU+yy1otQEriCcc7XPc2WA42avcLcpHVvk0NxqSBWDQIZPg9SpPDio/
 VwhazSw0mlVIAgGMrPU44sGbaw1e2kARCJTGnOM1/cqqYdj71Wp2Tyit7SXa
 ukNsl4OsEusNISW0ZYTqeosTw+fW+uRGHHfsK7Gpz1FywuS0Y2VBieUcYmCw
 StixI8MX3lsg9yqfly+ybO0LsROKZgQJIOx0tE9AvcLXZ2R+FpwOgDkg6326
 R5Rv+dBaUFZUW3BAUqhzwrQvHLy3hiPfz/PQfI+mRo/1JwM+f1T55grDOwws
 6nOsSsHGIcc2AzcBC0VoyCsbBpTmYeWvQ7jGCrFTIXsfdXyoPaTu2jhtPry5
 oLQ1WnSBRRKGwqmQX3Uo2z34joPCTDMkvw9vjDUg1w+xPSnclRRWeMAiHx0L
 kXFHxyhs3hKnzwnzBeZc7XP4taO8pxbeNc+w1gMyBu0MOdJiWTal+AUFAxOH
 HXevsnxq1HHdqHJLneF0p2N6jeGTrRbrCyhRgE8o/SXhtj0BP77NR75UitJ5
 h7tAQzMLMsy7Z5I3NBjenxbaPCHmQOMCFmTQYfPKmsdKpH9UZPfOIr3rFPaG
 XF2EqxNQVQQmFXFQPa1IjWAmgUkYzCpLLZw6qTxQgAdWGw6usLzDF1ZPgJkq
 u0adRYAKH9autjz+HyV6lhjklLtAR9YyC/NUwBctfHhYWZRT4pWgNdFh0u9Q
 hcQ0LB9SNlqIX2/Y+8WAQCFRBUvmGNqKQLXAGOxe6jGWNDR6wBLLr3Pw+tBx
 JAulqy0mEBI1hk/UGeqSgtYI4hnEBy0pEkLDpHKLKg0dyi9m+phWA6bVnIPD
 V3qYSnhdk1Cz0UPWWOwcQWtMlNOHHDoSIqcdTCpTJfivMXjsZy6CE1PgBbA2
 p1BjoNFCCKlpqK0UNC0wrlwRKPErfaYBdoW4SsO4wvb+kB95gkwBPQFaBKkw
 0GDRmDAnFP7Cj3ppXSRIhwM7G2nmlcb1Hl+tMrxiWvEToIt9JC0wEmULKQmj
 o8rJDuXhPLwbOAFwRwz2hXSvsUzNN7y6CGQdWoQ5Kagdc8iIg05HsVNJLzS0
 H3eMAOQcPB7Sf43HgUBYPq00L7B4GiEXyYVIysASS9cCoSMmFI47Dq8yULY/
 ly43/HsT/HjU0RwHmWug0UPyCn0OTQmkDYhw11nlujh8YDbk9sFm4K3djrfm
 HFQILLBIteGRlGEkbaLi1mqojsPmKUftzN6zijYJ0g0n0sL2Bsu38g6XdUje
 QY0HVQadVFoRtsyBb64WvlaC5IwCYd6xNilcOt9QnVc0bqCkaKVB5xhEDHv7
 Qj7cEWKnYbAAEzPu1+Ewny+SCmBuTmnqczBWDsS48sNqw84UsNKHEvQK3P2I
 4+nyXloMdCv6cBEddeQfK3FoCE5UCVRZMKCBRp6AQqMlERPeeNaxYSaI59YL
 7/KEKk8i8AWRyygQg/uGHe1Ph/ykV7mv1SBZPRf0bcLyAvxLJWytEWqMkPBB
 Q5Cs8oqEYVGTRzIbIkOOmChXzRPMNPT+VZzRB4Jzbhwq+rTjzJTj+Jjj0qJS
 WWWxCgQCIjDuoASDfcrT5jWRsAevSfCW+YbAA5wiIyFkXZQ2h5SKesNXNns8
 VbaazlgfoF05CjQE0NarVK7zod5EmcIKQ6J0ZR1iBW2yJF7m0+iE+R5s+F1A
 bHYmPBalyMGrfJ5CcAWleLKEDkZuqSWHVggYqHNQbY+Xc+oTAWfqDC+vEFqS
 gldl0LSJQFdJWdYdsn1fQN+HUhxqD6B7VvDfEcOcVX55hceNrZa6MYXqMk45
 4xh3ysK0EIsZ5HSIngmQYSUWwP2bPToOuAhCZxUqhIQaKqvhG9XCpZ7gAxIX
 9GSAJAQZUr45oXznrJbBXJuJ+s1Jx7iByklHW0Ex6bISMYlg8nzD6kdLTJ5S
 nlgbBR8Al1jqDgR8pkJoLSg18y30hWgJJKcEGWFahQoXIVNCkEGlViEdwk97
 lQBgi0dDn+NzLzPcutSS8gzNvkClgX0lKBJB80Gl8qjyTw7uN62zWrktcR48
 6Ng+Af+ZFOgNkJFIEI0JqWaPlZfFoob/xniUQYhcLpOD67sc8/IOekNY7iNr
 40yHSphV6qYUTRlYaJFmA2s9Pu3gk+OOcOacD8YZDmHP2ZAtJ0I2TSlab9Ep
 h672kLmG4LDj9Bnlg8CjAGYGU7QauG86iqOllttDeG/GMOaDGI2ifziEQyVW
 AKndpaiQAIw6YgF0jivhEJAyMK3gg3jCM2nB5RXpKsdVXGA45E+B2it9XPkc
 /8tTeAlh62ofqRKoMUh/iKQFGVW6OkP+bBo+GcCPZ2S25+OglQb5TcjEZTXs
 LxYJ88oaDzJWYFRhwtHaZMgcCjlVhDGAG3zkSMhNC4TKJktlRiIFRhw266it
 M6TSBtKCDCsMOOhXDvswUSHsrxZMVnnfMHx8oVAHpB2kgrJMY7DvaMi9A7BX
 4eezZTbPIqQMHCkH1IEs7CvygwFHcNZFlksLOqy0Djs+VIDvzewbVmpKUFFt
 qK8uFzynUb9bhP0VhoNzImwDik5EF18+DumPxCle4RFY+JXCsWHHpgmlrtWH
 SkERuk86bh+CL2TK7ebsDPgsBWa707EQPQunDziaR5W39DsKMUFuiEOzx0gC
 zszse2WMDgMfzDkOnAhhwoGNglUtbOgMuORoKXqVjEEWRcWxPYAHb8ijOwOY
 gLOtQtV1CYK8wq4peCKg4xnHBy4zPA6QI4qXDvcc84EZd1pezk7LLMc8eIUH
 i/MKaYGlHu7dSXY9XGT4pyUSrTF6L/d49TzLCiViHSYdMgUT9YapOZZ0CNQa
 MIIs9rj1iZBdb4phroxjWw3vzCm394TE0wJx4bf9ypkuZccz7pyxzmcJf++A
 o7XMNgOkgSLc5wtPpw03PVkidSJkwSNFtkzD0Up4e8rxOQ/WOUiIRERBowcF
 +HLKMM9C/RwLM439kLLscp/j3yvSuWse3D/B7Q42lBQGlfCocvxlhpsHlJ6g
 bPkLUZzyQljhrgbsu7Nsdo57ToesPKOM5KFnjWFek1AjBltUdJ5FSmUoebBE
 tt4Q1Ah1CYMkgHFFT4eIB7lnHJ8X6Fos3JlXlgXCbuDogPL3eTjOc1Dx3vOh
 zWfcqXmAsBK611qyCwxUKZMFcEk4mDZsKSnUW2TcQa+DFOBgKutwRUHmC4QC
 WgZmJSVVDW9baikB1ir9vY5fnoWvpKDn/Ni80DLPiy4/h1FYbOnodmwR4cZl
 Hs0VwsSociwhEVlbcFAV0TFafvJYRphbHTF9ZMosh4lIgmwJksOOZSNKOKhs
 zcKXga48uNbnId3zUmDGAi0GngxxnUrh5iQ/b4uz5mO1bGuy7PejwkPSROPJ
 SkHW+oQWHlchmzJQbWHKRX1BPiLA6ibg8WPK3x11FPuUFdPQ/Vxu85JnZOcx
 yUvbDN9YbNhUVc7/ViIapqi4pwKKtUIiKVEGypR/OxRA1hH2wNcd/DnAzR6p
 HwXk/6Bj1hYDJ8vCv9GHw47xKyyd08rbEKg2URtY0qiL6g9xgOcUJqLCRlcY
 FbRJGMrD6mZ4cgxOHnWUtngvbLT1ghWYncoORxe5dR6lIWWBpyyyQjwpaFGR
 cUVGHA/HhfGMYb4nkFPUAymCjkBnCFcNR/OCiecK2D/IoHulQXYFjPUo910b
 48yQY2VCqA+ICt4E/EOTZXGgLAkjv5cxpa8P7h+FH1r4Xci5kdb/6qS+ZVax
 W2owjwQcWmKpSwnX5hQdcciYY1UASzJCwkboNDih/GObcOcAPF2C0ouZw10U
 BWYubTFwqgwCTzp2omRLsK3BwKiSsOBikLTCl8bh3mWGu3c5nCszzC9lXnxR
 /itxPnYaUPY3G0YHHLkxx2ABRqdhqj1kZ7vyr9WGsFcvjG3+z1aLeVaaNfvn
 Yu5MElskZBYLlfOhOglLLrNUng+JX8r6bzUghdhewLPkAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon -rpath,/opt/maemo/usr/lib
endif

config.status:
	dh_testdir
	# Add here commands to configure the package.
	sh configureCMake.sh -DPREFIX=/usr -DLIB_DIR=/usr/lib -DDISABLE_WERROR=true -DCMAKE_SKIP_RPATH=true -DCMAKE_BUILD_TYPE=Debug 
	$(MAKE) -C libsrc/SDL_image-1.2.12/build
	$(MAKE) -C libsrc/SDL_mixer-1.2.12/build
build: 
	
clean:
	dh_testdir
	dh_testroot
	#$(MAKE) -C libsrc/SDL_image-1.2.12 distclean
	#$(MAKE) -C libsrc/SDL_mixer-1.2.12 distclean
	rm -rf libsrc/SDL_image-1.2.12/build
	rm -rf libsrc/SDL_mixer-1.2.12/build
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	#-$(MAKE) -C debian/build distclean
	rm -rf debian/build
	rm -rf debian/freesynd
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: config.status
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/freesynd.
	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd install
	cp $(CURDIR)/debian/build/src/freesynd $(CURDIR)/debian/freesynd/opt/freesynd
	ln -s /opt/freesynd/freesynd $(CURDIR)/debian/freesynd/usr/bin/freesynd
	dh_install --sourcedir=$(CURDIR)/debian/freesynd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	-maemo-optify
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## freesynd 0.6maemo2

=== debian/changelog ===
freesynd (0.6maemo2) unstable; urgency=low
  Package optified
 
 -- Nerdknight <nerdknight@gmail.com>  Thu, 14 Apr 2012 11:39:00 -0300

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/freesynd.
-	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd install
+	$(MAKE) -C debian/build DESTDIR=$(CURDIR)/debian/freesynd
 	cp $(CURDIR)/debian/build/src/freesynd $(CURDIR)/debian/freesynd/opt/freesynd
 	ln -s /opt/freesynd/freesynd $(CURDIR)/debian/freesynd/usr/bin/freesynd
 	dh_install --sourcedir=$(CURDIR)/debian/freesynd
@@ -99,7 +99,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	-maemo-optify
+	#-maemo-optify
 	dh_builddeb
 
 binary: binary-indep binary-arch
